Bug 630282 - Review Request: ghc-MonadCatchIO-mtl - Monad-transformer for Control.Exception
Review Request: ghc-MonadCatchIO-mtl - Monad-transformer for Control.Exception
Status: CLOSED DUPLICATE of bug 710045
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-04 12:19 EDT by Ben Boeckel
Modified: 2011-06-02 06:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 06:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 12:19:23 EDT
Spec URL: http://benboeckel.net/packaging/ghc-MonadCatchIO-mtl/ghc-MonadCatchIO-mtl.spec
SRPM URL: http://benboeckel.net/packaging/ghc-MonadCatchIO-mtl/ghc-MonadCatchIO-mtl-0.3.0.1-1.fc14.src.rpm
Description:
Provides a monad-transformer version of the
@Control.Exception.catch@ function. For this, it defines the
@MonadCatchIO@ class, a subset of @MonadIO@. It defines
proper instances for most monad transformers in the 'mtl'
library.

% lintmock fedora-14-x86_64-bb
ghc-MonadCatchIO-mtl.src: W: invalid-license PublicDomain
ghc-MonadCatchIO-mtl.src: W: strange-permission ghc-MonadCatchIO-mtl.spec 0640L
ghc-MonadCatchIO-mtl.src: W: strange-permission MonadCatchIO-mtl-0.3.0.1.tar.gz 0640L
ghc-MonadCatchIO-mtl.x86_64: W: invalid-license PublicDomain
ghc-MonadCatchIO-mtl.x86_64: W: no-documentation
ghc-MonadCatchIO-mtl-devel.x86_64: W: invalid-license PublicDomain
ghc-MonadCatchIO-mtl-prof.x86_64: E: devel-dependency ghc-MonadCatchIO-mtl-devel
ghc-MonadCatchIO-mtl-prof.x86_64: W: invalid-license PublicDomain
ghc-MonadCatchIO-mtl-prof.x86_64: W: no-documentation
ghc-MonadCatchIO-mtl-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/MonadCatchIO-mtl-0.3.0.1/libHSMonadCatchIO-mtl-0.3.0.1_p.a
4 packages and 0 specfiles checked; 1 errors, 9 warnings.
Comment 1 Shakthi Kannan 2011-01-18 04:40:09 EST
#001 Please use "License: Public Domain".

#002 Why do you have text enclosed in '@' in the Description? Please remove it.

#003 Please change the permission on the .spec file and .tar.gz file to 0664.
Comment 2 Ben Boeckel 2011-01-18 10:51:04 EST
(In reply to comment #1)
> #001 Please use "License: Public Domain".

Ah. Oops. Needs an email to the maint to ensure it's valid for Fedora anyways.
 
> #002 Why do you have text enclosed in '@' in the Description? Please remove it.

Used in cabal description and Haddock uses it. Missed it here

> #003 Please change the permission on the .spec file and .tar.gz file to 0664.

This is my umask. Won't be a problem in Fedora's git or the lookaside cache.

I'll get around to this tonight hopefully.
Comment 3 Shakthi Kannan 2011-01-18 21:11:59 EST
"Public Domain" is a valid license for Fedora:

  http://fedoraproject.org/wiki/Licensing#Good_Licenses

#004 Please post Koji builds for F-14, EL-6.
Comment 4 Narasimhan 2011-01-20 00:15:33 EST
Hi Shakthi,

We had similar issue with ghc-failure regarding the Public Domain license.

http://www.mail-archive.com/legal@lists.fedoraproject.org/msg00377.html

The resolution was to get the license changed from PublicDomain. Ben had contacted the author and got it changed.
Comment 5 Shakthi Kannan 2011-01-20 00:29:29 EST
I have sent an e-mail to the author of the project requesting for license change/clarification from PublicDomain. Awaiting a reply.
Comment 6 Jens Petersen 2011-01-28 06:07:10 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 7 Shakthi Kannan 2011-02-06 22:00:43 EST
Upstream has updated license to BSD3 with a new release 0.3.0.2. Can you please update your .spec file and make a new package release?
Comment 8 Shakthi Kannan 2011-05-28 13:32:18 EDT
SPEC: http://shakthimaan.fedorapeople.org/SPECS/ghc-MonadCatchIO-mtl.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/ghc-MonadCatchIO-mtl-0.3.0.2-1.fc14.src.rpm

$  rpmlint ghc-MonadCatchIO-mtl.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-MonadCatchIO-mtl-0.3.0.2-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-MonadCatchIO-mtl-0.3.0.2-1.fc14.i686.rpm 
ghc-MonadCatchIO-mtl.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-MonadCatchIO-mtl-devel-0.3.0.2-1.fc14.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-MonadCatchIO-mtl-prof-0.3.0.2-1.fc14.i686.rpm 
ghc-MonadCatchIO-mtl-prof.i686: E: devel-dependency ghc-MonadCatchIO-mtl-devel
ghc-MonadCatchIO-mtl-prof.i686: W: no-documentation
ghc-MonadCatchIO-mtl-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/MonadCatchIO-mtl-0.3.0.2/libHSMonadCatchIO-mtl-0.3.0.2_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Successful Koji builds for F-14, F-15 and F-16:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3097979
http://koji.fedoraproject.org/koji/taskinfo?taskID=3097982
http://koji.fedoraproject.org/koji/taskinfo?taskID=3097985
Comment 9 Narasimhan 2011-05-31 00:24:41 EDT
Shakthi,
I will review it asap. Thanks for updating the package.
Comment 10 Narasimhan 2011-06-02 06:42:24 EDT
Closing as duplicate of 710045

*** This bug has been marked as a duplicate of bug 710045 ***

Note You need to log in before you can comment on or make changes to this bug.